#ifndef AutoboxD_included
#define AutoboxD_included

#include "AutoboxDData.h"

class Control;
class EMData;

class AutoboxD : public AutoboxDData {
    Q_OBJECT
	
	Control *target;
	EMData *map;
	float min,max,val[4];
	int x0,y0;

public:

    AutoboxD(QWidget* parent = NULL,const char* name = NULL);

    virtual ~AutoboxD();

	void setup(int x0,int y0,float min, float max, EMData *map, Control *tgt);

public slots:

	void Ok();
	void Cancel();
	void newVal();
};
#endif // AutoboxD_included
