#ifndef InspTri_included
#define InspTri_included

#include "InspTriData.h"

class InspTri : public InspTriData
{
    Q_OBJECT

	enum { NONE,ORIENT,CLASS };

	int mode,subflag;
	QCString filespec;
	QCString stat;
	EMData *im1,*im2,*im1o;
	
	List *refs;
	
public:

    InspTri(QWidget* parent = NULL,const char* name = NULL);

    virtual ~InspTri();

signals:
	

public slots:
	void setFile(const char *file);
	void update(int );
	void calcOrient();
	void calcClasses();
	void newRef(float x,float y, int i,float val,int map);
	void imClick(QMouseEvent *);
	void clear();

};
#endif // InspTri_included
