// ctfavg.C Copyright 1999 Steve Ludtke
// This program will average all the particles in a file together
// including CTF correction. No alignment is performed.

#include <stdlib.h>
#include <malloc.h>
#include <string.h>
#include <math.h>
#include "List.h"

#include "EMData.h"

main(int argc, char** argv)
{
int i,j;
float filtr;
EMData av;
List *in;

if (argc<3) { 
	printf("Average the images in a file with CTF correction, but no alignment.\nctfavg <infile> <outfile> <res in A>\n");
	exit(0); 
}

in=readImages(argv[1],-1,-1);
if (!((EMData *)in->objectAt(0))->hasCTF()) 
	{ printf("These images don't appear to have CTF parameters\n"); exit(1); }
printf("Averaging %d images\n",in->count());
filtr=atof(argv[3]);
av.makeAverageCTFC(in,filtr);
av.writeIMAGIC(argv[2],-1);

}

