// align2d.C 8/99  Steve Ludtke

//N align2d
//F This program will align a set of images to a reference
//1
//P <fixed input>	Reference image
//P <input>	Images to be aligned
//P <output>	Output filename
//U align2d proj.hed cls000.hed tst.hed
//D Pretty self explanatory.


#include <stdio.h>
#include <math.h>
#include "EMData.h"
#include "List.h"
#include "util.h"

main(int argc, char *argv[]) {
EMData r,d,*da;
int n;

appinit(argc,argv);

if (argc<4) { printf("Usage: align2d <fixed input> <input> <output>\n"); exit(0); }

n=fileCount(argv[2]);
r.readImage(argv[1],0);

for (int i=0; i<n; i++) {
	d.readImage(argv[2],i);
	da=d.RTFAlign(&r);
	da->writeIMAGIC(argv[3],-1);
	delete da;
} 

}
