#include <stdio.h>
#include <qapp.h>
#include "Control.h"
#include "EMData.h"
#include "Image.h"
#include "qutil.h"

int initdone=0;
Control *control;

int main( int argc, char **argv )
{
QFont *newdf;
QApplication a( argc, argv );
int i;
int num=-1,denom,bsize;

appinit(argc,argv);

for (i=2; i<argc; i++) {	
	if (strncmp(argv[i],"area=",5)==0) {
		if (sscanf(&argv[i][5],"%d,%d,%d",&num,&denom,&bsize)!=3) {
			printf("Usage: boxer [filename [area=<num>,<denom>,<box>]]\n");
			exit(1);
		}	
	}
	else { printf("Unknown argument '%s'\n",argv[i]); exit(1); }
}

MakeGoodFont();

control=new Control(NULL,"Name");
a.setMainWidget(control);
control->show();
initdone=1;
if (argc==3) control->readimage(argv[1],num,denom,bsize);
else if (argc==2) control->readimage(argv[1]);
return a.exec();
}
