#ifndef InspFile_included
#define InspFile_included

#include "InspFileData.h"
#include <qtimer.h>
#include "TriView.h"

class InspFile : public InspFileData {
    Q_OBJECT

	QTimer tmr;
	QString file;
	EMData *cdat;
	int cnum,cdnum,tnum;

public:

    InspFile(QWidget* parent = NULL,const char* name = NULL);

    virtual ~InspFile();

	void setFile(const char *file);
	
signals:
	void showcls(const char *file);
	void showtri(const char *file);

public slots:
	void timed();
	void imClick(QMouseEvent *);
	void setN(int);
	void dispImg();
	void morepress();
	void bigpress();
};
#endif // InspFile_included
