#ifndef ImageMxCon_included
#define ImageMxCon_included

#include "ImageMxConData.h"

class ImageMxCon : public ImageMxConData
{
    Q_OBJECT

public:

    ImageMxCon(QWidget* parent = NULL,const char* name = NULL);

    virtual ~ImageMxCon();

	void setup(float b,float c, int inv, int lab,int mode=0);

signals:
	void setBC(float B,float C);
	void invToggle(int toggle);
	void labToggle(int toggle);
	void lab2Toggle(int toggle);
	void setScale(float scale);
	void saveImage();
	void saveFile();
	void newMode(int);
	void print();

public slots:
	void newBC(int B);
	void newInv(bool t);
	void newLab(bool l);
	void newLab2(bool l);
	void newScale();
	void doSaveFile();
	void doSaveView();
	void setModeApp();
	void setModeDel();
	void setModeMove();
	void doPrint();
};
#endif // ImageMxCon_included
